#-----------------------------------------------------------------------------
%define		dist		.ok
#-----------------------------------------------------------------------------
Name		:	libexplain
Version		:	1.4
Release		:	17.2.0.rel%{?dist}
Summary		:	Library functions to explain system call errors

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL-3.0+
URL		:	http://downloads.sf.net/libexplain

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#patch duplicated from ALT Linux P11
Patch0		:	libexplain-1.4-syscall.patch
Patch1		:	libexplain-1.4-largefile.patch
Patch2		:	libexplain-1.4-missed-defines.patch
Patch3		:	libexplain-1.4-gcc-10.patch
Patch4		:	libexplain-1.4-nettstamp-needs-types.patch
Patch5		:	libexplain-1.4-sanitize-bison.patch
Patch6		:	libexplain-1.4-typos.patch
Patch7		:	libexplain-1.4-remove-termiox.patch

#-----------------------------------------------------------------------------
BuildRequires	:	bison
#BuildRequires	:	ghostscript

#-----------------------------------------------------------------------------
%description
The libexplain project provides a library which may be used
to explain Unix and Linux system call errors. This will
make your application's error messages much more informative
to your users.  The library is not quite a drop-in replacement
for strerror, but it comes close. Each system call has a
dedicated libexplain function.

The coverage for system calls is being improved all the time.
Coverage includes 159 system calls and 444 ioctl requests.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc README
%license LICENSE
%{_bindir}/explain
%{_libdir}/%{name}.so.*
%{_defaultdocdir}/%{name}-%{version}/readme.pdf
%{_defaultdocdir}/%{name}-%{version}/reference.pdf
%{_mandir}/man1/*.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for '%{name}'

Requires	:	%{name}		= %{version}-%{release}
 
#-----------------------------------------------------------------------------
%description		devel
Development files for the libexplain library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%name/*.h
%{_libdir}/%name.so
%{_libdir}/pkgconfig/%name.pc
%{_defaultdocdir}/%{name}-%{version}/building.pdf
%{_defaultdocdir}/%{name}-%{version}/new_system_call.pdf
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q 
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1

# hack against missed dlci_add struct
sed -i							\
  -e"s|#ifdef SIOCADDDLCI|#ifdef IGNORE_SIOCADDDLCI|"	\
  libexplain/iocontrol/siocadddlci.c

sed -i							\
  -e"s|#ifdef SIOCDELDLCI|#ifdef IGNORE_SIOCDELDLCI|"	\
  libexplain/iocontrol/siocdeldlci.c

sed -i							\
  -e"/\$(datarootdir)\/doc/s/%{name}/%{name}-%{version}/"\
  Makefile.in

tar xvf %{SOURCE1}


#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
# The shared library has to be executable!
chmod 755 %{buildroot}%{_libdir}/%name.so.*.*.*

#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
